JDepend (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.api.plugins.quality

## Class JDepend

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.plugins.quality.JDepend

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Reporting<JDependReports>, Task, org.gradle.util.Configurable<Task>

      @CacheableTask
      public class JDepend
      extends DefaultTask
      implements Reporting<JDependReports>

  Analyzes code with JDepend.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDepend()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()`
    `File` | `getClassesDir()` The directory containing the classes to be analyzed.
    `org.gradle.internal.reflect.Instantiator` | `getInstantiator()`
    `FileCollection` | `getJdependClasspath()` The class path containing the JDepend library to be used.
    `JDependReports` | `getReports()` The reports to be generated by this task.
    `JDependReports` | `reports(Action<? super JDependReports> configureAction)` Configures the reports to be generated by this task.
    `JDependReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
    `void` | `run()`
    `void` | `setClassesDir(File classesDir)`
    `void` | `setJdependClasspath(FileCollection jdependClasspath)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDepend

          public JDepend()

  - ### Method Detail

    - #### getClassesDir

          @PathSensitive(value=RELATIVE)
          @InputDirectory
          @SkipWhenEmpty
          public File getClassesDir()

      The directory containing the classes to be analyzed.

    - #### getInstantiator

          @Inject
          public org.gradle.internal.reflect.Instantiator getInstantiator()

    - #### getAntBuilder

          @Inject
          public org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

    - #### reports

          public JDependReports reports(Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           jdependTask {
             reports {
               xml {
                 destination "build/jdepend.xml"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<JDependReports>`
      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### reports

          public JDependReports reports(Action<? super JDependReports> configureAction)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           jdependTask {
             reports {
               xml {
                 destination "build/jdepend.xml"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<JDependReports>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The reports container

    - #### run

          public void run()

    - #### getJdependClasspath

          @Classpath
          public FileCollection getJdependClasspath()

      The class path containing the JDepend library to be used.

    - #### setJdependClasspath

          public void setJdependClasspath(FileCollection jdependClasspath)

    - #### setClassesDir

          public void setClassesDir(File classesDir)

    - #### getReports

          public final JDependReports getReports()

      The reports to be generated by this task.
      Specified by:
        `getReports` in interface `Reporting<JDependReports>`
      Returns:
        The report container